RHEL6 64 ORACLE 10g 64bit database system installation

Recommended for you: Get network issues from WhatsUp Gold. Not end users.

Remember last April, deploy test environment for the company and the UAT environment, in the red hat RHEL6 64 bit system installed ORACLE 10g 64 database has encountered many problems, then hurry did not record these problems, a few days ago in the virtual machine to install ORACLE 64 10g, and there are some common problems met, the way out of this article. Perhaps in the 64 version of RHEL6 installed on 64 problems of Oracle 10g is the most, a lot of people are estimated by the abuse of countless times (a lot of people are Oracle abuse me countless times, I treat Oracle as first love). Search on the content from the Internet is remarkable. Well, nonsense, officially entered.

Step 1: Preparation system and set up a shared directory DataBase in a virtual machine, preparing the database installation media. Some of the details of things I might be a band before, do not know can have a look my this article Rhel-Server 5.5 installation ORACLE10

                 The installation media file 10201_database_linux_x86_64.cpio.gz, you must use the gunzip decompression, and then use CPIO to extract the CPIO file format.

Extract the installation files
  1. [root@bogon DataBase]# cd /mnt/hgfs/DataBase/
  2. [root@bogon DataBase]# ls
  3.     10201_database_linux_x86_64.cpio.gz
  4. [root@bogon DataBase]# gunzip 10201_database_linux_x86_64.cpio.gz
  5. [root@bogon DataBase]# ls
  6.     10201_database_linux_x86_64.cpio
  7. [root@bogon DataBase]# cpio -idmv <10201_database_linux_x86_64.cpio
  8. [root@bogon DataBase]# cd database/
  9. [root@bogon database]# ls
  10.   doc  install  response  runInstaller  stagewelcome.html

Step 2: See the installation file, open the welcome.html file, unzip a directory click “ Installing Oracle Database” the “ Documentation” the link to enter. Before the installation of the best will install the document at the beginning of a slightly to see again, of course, you can also refer to the installation process.


[root@bogon database]# firefox welcome.html

clipboard

Step 3: Check the hardware requirements(Checking the Hardware Requirements)


The official document requirements for system hardware

#At least 512 MB of physical RAM

#The following table describes the relationship between installed RAM and the configured swap space requirement.

   RAM                                                  Swap Space

Up to 512 MB                                           2 times the size of RAM

Between 1024 MB and 2048 MB                            1.5 times the size of RAM

Between 2049 MB and 8192 MB                            Equal to the size of RAM

More than 8192 MB                                      0.75 times the size of RAM

#400 MB of disk space in the /tmp directory

#Between 1.5 GB and 3.5 GB of disk space for the Oracle software, depending on the installation type

#1.2 GB of disk space for a preconfigured database that uses file system storage (optional

Memory test: minimum memory requirements 512M, now can not meet the conditions of the computer are as old as the hills, assigned me to virtual machine is the 2G memory, as shown below

Code Snippet
  1. [root@bogon Desktop]# grep MemTotal /proc/meminfo
  2.         MemTotal:2051700 kB
  3. [root@bogon Desktop]# free -g
  4.              total       used       free     shared    buffers     cached
  5.              Mem:1          0          1          0          0          0
  6.           -/+ buffers/cache:0          1
  7.             Swap:3          0          3

Swap space (Swap Space) detection:

Code Snippet
  1. [root@bogon Desktop]# grepSwapTotal /proc/meminfo
  2.      SwapTotal:4128760 kB

Detection of /tmp directory disk space detection:

Code Snippet
  1. [root@bogon Desktop]# df -m /tmp
  2.       Filesystem           1M-blocksUsed Available Use% Mounted on
  3.                 /dev/sda213878      2186     10987  17% /
  4. [root@bogon Desktop]# df -h
  5.   Filesystem            Size Used  Avail  Use% Mounted on
  6.   /dev/sda2              14G 2.2G   11G   17%    /
  7.    tmpfs                1002M  100K 1002M     1%    /dev/shm
  8.   /dev/sda1             291M   30M  246M     11%    /boot
  9.   .host:/                30G   16G   15G     52%    /mnt/hgfs
  10. [root@bogon Desktop]#

CPU detection:

[root@bogon Desktop]# grep "model name" /proc/cpuinfo

model name : Intel(R) Core(TM)2 Duo CPU    T6670 @ 2.20GHz

[root@bogon Desktop]#


Step 4: Check the software requirements(Checking the Software Requirements)


Below is the official document system

The operating system must be one of the following: Red Hat Enterprise Linux 3.0 (Update 4 or later) Red Hat Enterprise Linux 4.0 (Update 1 or later) SUSE Linux Enterprise Server 9.0 The system must be running the following (or later) kernel version: Red Hat Enterprise Linux 3.0 2.4.21-27.EL Red Hat Enterprise Linux 4.0 2.6.9-11.EL SUSE Linux Enterprise Server 9.0 2.6.5-7.201 The following packages (or later versions) must be installed: Red Hat Enterprise Linux 3.0: make-3.79.1-17 compat-db 4.0.14-5.1 control-center-2.2.0.1-13 gcc-3.2.3-47 gcc-c++-3.2.3-47 gdb-6.1post-1.20040607.52 glibc-2.3.2-95.30 glibc-common-2.3.2-95.30 glibc-devel-2.3.2-95.30 glibc-devel-2.3.2-95.20 (32 bit) compat-db-4.0.14-5 compat-gcc-7.3-2.96.128 compat-gcc-c++-7.3-2.96.128 compat-libstdc++-7.3-2.96.128 compat-libstdc++-devel-7.3-2.96.128 gnome-libs-1.4.1.2.90-34.2 (32 bit) libstdc++-3.2.3-47 libstdc++-devel-3.2.3-47 openmotif-2.2.3-3.RHEL3 sysstat-5.0.5-5.rhel3 setarch-1.3-1 libaio-0.3.96-3 libaio-devel-0.3.96-3 Red Hat Enterprise Linux 4.0: binutils-2.15.92.0.2-10.EL4 compat-db-4.1.25-9 control-center-2.8.0-12 gcc-3.4.3-9.EL4 gcc-c++-3.4.3-9.EL4 glibc-2.3.4-2 glibc-common-2.3.4-2 gnome-libs-1.4.1.2.90-44.1 libstdc++-3.4.3-9.EL4 libstdc++-devel-3.4.3-9.EL4 make-3.80-5 pdksh-5.2.14-30 sysstat-5.0.5-1 xscreensaver-4.18-5.rhel4.2 SUSE Linux Enterprise Server 9 binutils-2.15.90.0.1.1-32.5 gcc-3.3.3-43.24 gcc-c++-3.3.3-43.24 glibc-2.3.3-98.28 gnome-libs-1.4.1.7-671.1 libstdc++-3.3.3-43.24 libstdc++-devel-3.3.3-43.24 make-3.80-184.1 pdksh-5.2.14-780.1 sysstat-5.0.1-35.1 xscreensaver-4.16-2.6

From the document can be seen in the ORACLE 10g only supports Red Hat Enterprise to Linux 4, did not explicitly expressed support for the Red Hat Enterprise Linux 6.0. this is because the Oracle has not officially in Rhel 4 and later tested Oracle 10g, another is Oracle considering his business interests strategy. During installation, you must modify the configuration file /etc/redhat-release “ Red Hat Enterprise Linux Server release 6 (Santiago) ” to “ Red Hat Enterprise Linux Server release 4 (Santiago) ” otherwise, the installation process will be in error, unable to continue.

View the kernel version, to be higher than the version requirements document.

[root@bogon Desktop]# cat /proc/version

Linux version 2.6.32-71.el6.x86_64 () (gcc version 4.4.4 20100726 (Red Hat 4.4.4-13) (GCC) ) #1 SMP Wed Sep 1 01:33:01 EDT 2010

[root@bogon Desktop]# uname -r

2.6.32-71.el6.x86_64

Check must install the following software package (or higher): pay attention to the following statement do not check in, or are not, because the Red Hat Enterprise Linux 6 version of the package may be more than this, so you best to ignore the version number, and then check. This very important. The installation process many error information is because of this step is not in place to. Of course, some error because of the lack of some packages, install the document did not mention (behind the explanation)

rpm -q binutils-2.15.92.0.2-10.EL4

rpm -q compat-db-4.1.25-9

rpm -q control-center-2.8.0-12

rpm -q gcc-3.4.3-9.EL4

rpm -q gcc-c++-3.4.3-9.EL4

rpm -q glibc-2.3.4-2

rpm -q glibc-common-2.3.4-2

rpm -q gnome-libs-1.4.1.2.90-44.1

rpm -q libstdc++-3.4.3-9.EL4

rpm -q libstdc++-devel-3.4.3-9.EL4

rpm -q make-3.80-5

rpm -q pdksh-5.2.14-30

rpm -q sysstat-5.0.5-1

rpm -q xscreensaver-4.18-5.rhel4.2




[root@bogon Desktop]# rpm -q binutils

binutils-2.20.51.0.2-5.11.el6.x86_64

[root@bogon Desktop]# rpm -q compat-db

package compat-db is not installed

[root@bogon Desktop]# rpm -q control-center

control-center-2.28.1-25.el6.x86_64

[root@bogon Desktop]# rpm -q glibc-*

glibc-2.12-1.7.el6.x86_64

[root@bogon Desktop]# rpm -q gcc

gcc-4.4.4-13.el6.x86_64

[root@bogon Desktop]# rpm -q gcc-c++

package gcc-c++ is not installed

[root@bogon Desktop]# rpm -q glibc

glibc-2.12-1.7.el6.x86_64

[root@bogon Desktop]# rpm -q gnome-libs

package gnome-libs is not installed

[root@bogon Desktop]# rpm -q libstdc++-

libstdc++-4.4.4-13.el6.x86_64

[root@bogon Desktop]# rpm -q make

make-3.81-19.el6.x86_64

[root@bogon Desktop]# rpm -q sysstat

sysstat-9.0.4-11.el6.x86_64

[root@bogon Desktop]# rpm -q xscreensaver

package xscreensaver is not installed


Install the missing bag, first configure yum, if the lack of file rhel-debuginfo.repo, the new file rhel-debuginfo.repo, the Relhat6 directory is a directory of the Red installation media 6 Hat Enterprise Linux, the red part is need according to your system configuration specific part

[root@bogon yum.repos.d]# vi rhel-debuginfo.repo

[rhel-debuginfo]

name=Red Hat Enterprise Linux LOCAL SOURCE

baseurl=file:///mnt/hgfs/DataBase/Relhat6/Server

enabled=1

gpgcheck=1

gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release

Some package is installed in the missing, is very dull and boring.

[root@bogon yum.repos.d]# yum list compat-db Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. Available Packages compat-db.i686 4.6.21-15.el6 rhel-debuginfo compat-db.x86_64 4.6.21-15.el6 rhel-debuginfo [root@bogon yum.repos.d]# [root@bogon yum.repos.d]# yum install compat-db.x86_64 Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml Trying other mirror. Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package compat-db.x86_64 0:4.6.21-15.el6 set to be updated --> Processing Dependency: compat-db43(x86-64) = 4.3.29-15.el6 for package: compat-db-4.6.21-15.el6.x86_64 --> Processing Dependency: compat-db42(x86-64) = 4.2.52-15.el6 for package: compat-db-4.6.21-15.el6.x86_64 --> Running transaction check ---> Package compat-db42.x86_64 0:4.2.52-15.el6 set to be updated ---> Package compat-db43.x86_64 0:4.3.29-15.el6 set to be updated --> Finished Dependency Resolution Dependencies Resolved ============================================================================================================================================================= Package Arch Version Repository Size ============================================================================================================================================================= Installing: compat-db x86_64 4.6.21-15.el6 rhel-debuginfo 12 k Installing for dependencies: compat-db42 x86_64 4.2.52-15.el6 rhel-debuginfo 805 k compat-db43 x86_64 4.3.29-15.el6 rhel-debuginfo 874 k Transaction Summary ============================================================================================================================================================= Install 3 Package(s) Upgrade 0 Package(s) Total download size: 1.7 M Installed size: 4.6 M Is this ok [y/N]: y Downloading Packages: ------------------------------------------------------------------------------------------------------------------------------------------------------------- Total 5.8 MB/s | 1.7 MB 00:00 warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY rhel-debuginfo/gpgkey | 6.3 kB 00:00 ... Importing GPG key 0xFD431D51 "Red Hat, Inc. (release key 2) <>" from /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release Is this ok [y/N]: y Importing GPG key 0x2FA658E0 "Red Hat, Inc. (auxiliary key) <>" from /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release Is this ok [y/N]: y Running rpm_check_debug Running Transaction Test Transaction Test Succeeded Running Transaction Warning: RPMDB altered outside of yum. Installing : compat-db43-4.3.29-15.el6.x86_64 1/3 Installing : compat-db42-4.2.52-15.el6.x86_64 2/3 Installing : compat-db-4.6.21-15.el6.x86_64 3/3 Installed: compat-db.x86_64 0:4.6.21-15.el6 Dependency Installed: compat-db42.x86_64 0:4.2.52-15.el6 compat-db43.x86_64 0:4.3.29-15.el6 Complete! [root@bogon yum.repos.d]# [root@bogon Packages]# rpm -ivh glibc-2.12-1.7.el6.i686.rpm error: Failed dependencies: libfreebl3.so is needed by glibc-2.12-1.7.el6.i686 libfreebl3.so(NSSRAWHASH_3.12.3) is needed by glibc-2.12-1.7.el6.i686 [root@bogon Packages]# yum install glibc-2.12-1.7.el6.i686.rpm Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml Trying other mirror. Setting up Install Process Examining glibc-2.12-1.7.el6.i686.rpm: glibc-2.12-1.7.el6.i686 Marking glibc-2.12-1.7.el6.i686.rpm to be installed Resolving Dependencies --> Running transaction check ---> Package glibc.i686 0:2.12-1.7.el6 set to be updated --> Processing Dependency: libfreebl3.so for package: glibc-2.12-1.7.el6.i686 --> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.12-1.7.el6.i686 --> Running transaction check ---> Package nss-softokn-freebl.i686 0:3.12.7-1.1.el6 set to be updated --> Finished Dependency Resolution Dependencies Resolved ================================================================================ Package Arch Version Repository Size ================================================================================ Installing: glibc i686 2.12-1.7.el6 /glibc-2.12-1.7.el6.i686 13 M Installing for dependencies: nss-softokn-freebl i686 3.12.7-1.1.el6 rhel-debuginfo 109 k Transaction Summary ================================================================================ Install 2 Package(s) Upgrade 0 Package(s) Total size: 13 M Total download size: 109 k Installed size: 13 M Is this ok [y/N]: y Downloading Packages: Running rpm_check_debug Running Transaction Test Transaction Test Succeeded Running Transaction Installing : glibc-2.12-1.7.el6.i686 1/2 Installing : nss-softokn-freebl-3.12.7-1.1.el6.i686 2/2 Installed: glibc.i686 0:2.12-1.7.el6 Dependency Installed: nss-softokn-freebl.i686 0:3.12.7-1.1.el6 Complete! [root@bogon Packages]# [root@bogon yum.repos.d]# yum list gcc-c++ Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml Trying other mirror. Available Packages gcc-c++.x86_64 [root@bogon yum.repos.d]# yum install gcc-c++.x86_64 Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml Trying other mirror. Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package gcc-c++.x86_64 0:4.4.4-13.el6 set to be updated --> Processing Dependency: libstdc++-devel = 4.4.4-13.el6 for package: gcc-c++-4.4.4-13.el6.x86_64 --> Running transaction check ---> Package libstdc++-devel.x86_64 0:4.4.4-13.el6 set to be updated --> Finished Dependency Resolution Dependencies Resolved ============================================================================================================================================================= Package Arch Version Repository Size ============================================================================================================================================================= Installing: gcc-c++ x86_64 4.4.4-13.el6 rhel-debuginfo 4.7 M Installing for dependencies: libstdc++-devel x86_64 4.4.4-13.el6 rhel-debuginfo 1.5 M Transaction Summary ============================================================================================================================================================= Install 2 Package(s) Upgrade 0 Package(s) Total download size: 6.3 M Installed size: 20 M Is this ok [y/N]: y Downloading Packages: ------------------------------------------------------------------------------------------------------------------------------------------------------------- Total 8.9 MB/s | 6.3 MB 00:00 Running rpm_check_debug Running Transaction Test Transaction Test Succeeded Running Transaction Installing : libstdc++-devel-4.4.4-13.el6.x86_64 1/2 Installing : gcc-c++-4.4.4-13.el6.x86_64 2/2 Installed: gcc-c++.x86_64 0:4.4.4-13.el6 Dependency Installed: libstdc++-devel.x86_64 0:4.4.4-13.el6 Complete! [root@bogon yum.repos.d]# yum list glibc-common Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml Trying other mirror. Installed Packages glibc-common.x86_64 2.12-1.7.el6 @anaconda-RedHatEnterpriseLinux-201009221801.x86_64/6.0 [root@bogon yum.repos.d]# yum install glibc-common.x86_64 Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml Trying other mirror. Setting up Install Process Package glibc-common-2.12-1.7.el6.x86_64 already installed and latest version Nothing to do [root@bogon yum.repos.d]# yum list libstdc++-devel Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml Trying other mirror. Installed Packages libstdc++-devel.x86_64 4.4.4-13.el6 @rhel-debuginfo Available Packages libstdc++-devel.i686 4.4.4-13.el6 rhel-debuginfo [root@bogon yum.repos.d]# yum install libstdc++-devel.x86_64 Loaded plugins: refresh-packagekit, rhnplugin This system is not registered with RHN. RHN support will be disabled. file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml Trying other mirror. Setting up Install Process Package libstdc++-devel-4.4.4-13.el6.x86_64 already installed and latest version Nothing to do

There are three packet is not, can not find the corresponding installation file, as shown below:

[root@bogon yum.repos.d]# rpm -q xscreensaver

package xscreensaver is not installed

[root@bogon yum.repos.d]# yum list xscreensaver

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Error: No matching Packages to list

[oracle@bogon database]$ yum list gnome-libs

Loaded plugins: refresh-packagekit, rhnplugin

*Note* Red Hat Network repositories are not listed below. You must run this command as root to access RHN repositories.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Error: No matching Packages to list

[root@bogon Packages]# yum list gnome-libs

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Error: No matching Packages to list

[root@bogon Packages]# rpm -q gnome-libs-

package gnome-libs- is not installed

Step 5: Create a system user and group needs(Creating Required Operating System Groups and User)

5.1 first check whether there is a DBA Users Group, oinstall

    [root@bogon ~]# grep dba /etc/group

    [root@bogon ~]# grep dba /etc/oinstall

5.2 create user group DBA, oinstall

    [root@bogon ~]# /usr/sbin/groupadd oinstall

    [root@bogon ~]# /usr/sbin/groupadd dba

5.3 check whether there is a Oracle user

    [root@bogon ~]# id oracle

    id: oracle: No such user

5.4 create Oracle user

    [root@bogon ~]# /usr/sbin/useradd -g oinstall -G dba oracle

    [root@bogon ~]# id oracle

     uid=502(oracle) gid=502(oinstall) groups=502(oinstall),503(dba)

5.5 to set a Oracle password

    [root@bogon ~]# password oracle

      bash: password: command not found

    [root@bogon ~]# passwd oracle

    Changing password for user oracle.

    New password:

    Retype new password:

    passwd: all authentication tokens updated successfully.

   [root@bogon ~]#

Step 6: The configuration of Linux system kernel parameters of Configuring Kernel Parameters

Add the kernel parameter information in the /etc/sysctl.conf file

[root@bogon ~]# vi /etc/sysctl.conf

kernel.shmall = 2097152

kernel.shmmax = 2147483648

kernel.shmmni = 4096

kernel.sem = 250 32000 100 128

fs.file-max = 65536

net.ipv4.ip_local_port_range = 1024 65000

net.core.rmem_default = 262144

net.core.rmem_max = 262144

net.core.wmem_default = 262144

net.core.wmem_max = 262144

[root@bogon ~]# vi /etc/security/limits.conf

Add to

oracle          soft   nproc  2047

oracle          hard   nproc  16384

oracle          soft   nofile 1024

oracle          hard   nofile 65536

[root@bogon ~]# vi /etc/pam.d/login

[root@bogon ~]#

if [ $USER = "oracle" ]; then

       if [ $SHELL = "/bin/ksh" ]; then

             ulimit -p 16384

             ulimit -n 65536

       else

             ulimit -u 16384 -n 65536

       fi

fi

Step 7: Create a Creating Required Directories installation path

[root@bogon ~]# mkdir -p /u01/app/oracle

[root@bogon ~]# chown -R oracle:oinstall /u01/app/oracle

[root@bogon ~]# chmod -R 775 /u01/app/oracle

Step 8: The environment variable Configuring Oracle the Oracle User user configuration's Environment

[oracle@bogon ~]$ vi .bash_profile

[oracle@bogon ~]$ tail -20 .bash_profile

# .bash_profile

# Get the aliases and functions

if [ -f ~/.bashrc ]; then

. ~/.bashrc

fi

# User specific environment and startup programs

PATH=$PATH:$HOME/bin

export PATH

export ORACLE_SID=gsp

export ORACLE_BASE=/u01/app/oracle

export ORACLE_HOME=$ORACLE_BASE/product/dbhome_1

export ORACLE_OWNER=oracle

export PATH=$ORACLE_HOME/bin:$PATH

umask 022

[oracle@bogon ~]$

[oracle@bogon ~]$ source .bash_profile

[oracle@bogon ~]$

[oracle@bogon ~]$ DISPLAY=local_host:0.0 ; export DISPLAY

Step 9: Check if the JDK is installed, if there is no need to install the JDK, configure the environment variables.

Step 10: To start the installation

Error 1:

[oracle@bogon database]$ ./runInstaller

./runInstaller: /mnt/hgfs/DataBase/database/install/.oui: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

The cause of the error: If this error is because of the lack of package glibc.i686

[root@bogon database]$yum install glibc.i686

Error 2:

[oracle@bogon database]$ ./runInstaller

Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2

                                     Failed <<<<

Exiting Oracle Universal Installer, log for this session can be found at /tmp/OraInstall2013-08-05_07-24-40AM/installActions2013-08-05_07-24-40AM.log

[oracle@bogon database]$

The cause of the error: This is because the support to Red Hat Enterprise Linux Server release 4, so you modify the configuration file /etc/redhat-release, the original configuration commented, adding a line of Red Hat Enterprise Linux Server release 4 (Santiago), to be installed after the completion of modification.

[root@bogon Packages]# more /etc/redhat-release

Red Hat Enterprise Linux Server release 4.0 (Santiago)

#Red Hat Enterprise Linux Server release 6.0 (Santiago)

Error 3:

[oracle@bogon database]$ ./runInstaller

Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2

                                     Passed

All installer requirements met.

Preparing to launch Oracle Universal Installer from /tmp/OraInstall2013-08-05_07-34-52AM. Please wait ...[oracle@bogon database]$ Exception in thread "main" java.lang.UnsatisfiedLinkError: /tmp/OraInstall2013-08-05_07-34-52AM/jre/1.4.2/lib/i386/libawt.so: libXp.so.6: cannot open shared object file: No such file or directory

at java.lang.ClassLoader$NativeLibrary.load(Native Method)

at java.lang.ClassLoader.loadLibrary0(Unknown Source)

at java.lang.ClassLoader.loadLibrary(Unknown Source)

at java.lang.Runtime.loadLibrary0(Unknown Source)

at java.lang.System.loadLibrary(Unknown Source)

at sun.security.action.LoadLibraryAction.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at sun.awt.NativeLibLoader.loadLibraries(Unknown Source)

at sun.awt.DebugHelper.<clinit>(Unknown Source)

at java.awt.Component.<clinit>(Unknown Source)

The cause of the error:If the above error, is generally lack the system installation packagelibXp

[root@bogon Packages]# ls libXp*

libXp-1.0.0-15.1.el6.i686.rpm         libXpm-3.5.8-2.el6.i686.rpm

libXp-1.0.0-15.1.el6.x86_64.rpm       libXpm-3.5.8-2.el6.x86_64.rpm

libXp-devel-1.0.0-15.1.el6.i686.rpm   libXpm-devel-3.5.8-2.el6.i686.rpm

libXp-devel-1.0.0-15.1.el6.x86_64.rpm libXpm-devel-3.5.8-2.el6.x86_64.rpm

[root@bogon Packages]# yum list libXp

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Available Packages

libXp.i686                     1.0.0-15.1.el6                   rhel-debuginfo

libXp.x86_64                   1.0.0-15.1.el6                   rhel-debuginfo

[root@bogon Packages]# rpm -ivh libXp-1.0.0-15.1.el6.x86_64.rpm

Preparing...               ########################################### [100%]

  1:libXp                 ########################################### [100%]

[root@bogon Packages]#

[root@bogon Packages]# rpm -ivh libXp-1.0.0-15.1.el6.i686.rpm

error: Failed dependencies:

libX11.so.6 is needed by libXp-1.0.0-15.1.el6.i686

libXau.so.6 is needed by libXp-1.0.0-15.1.el6.i686

libXext.so.6 is needed by libXp-1.0.0-15.1.el6.i686

[root@bogon Packages]# yum install libXp-1.0.0-15.1.el6.i686.rpm

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Examining libXp-1.0.0-15.1.el6.i686.rpm: libXp-1.0.0-15.1.el6.i686

Marking libXp-1.0.0-15.1.el6.i686.rpm to be installed

Resolving Dependencies

--> Running transaction check

---> Package libXp.i686 0:1.0.0-15.1.el6 set to be updated

--> Processing Dependency: libX11.so.6 for package: libXp-1.0.0-15.1.el6.i686

--> Processing Dependency: libXau.so.6 for package: libXp-1.0.0-15.1.el6.i686

--> Processing Dependency: libXext.so.6 for package: libXp-1.0.0-15.1.el6.i686

--> Running transaction check

---> Package libX11.i686 0:1.3-2.el6 set to be updated

--> Processing Dependency: libxcb.so.1 for package: libX11-1.3-2.el6.i686

---> Package libXau.i686 0:1.0.5-1.el6 set to be updated

---> Package libXext.i686 0:1.1-3.el6 set to be updated

--> Running transaction check

---> Package libxcb.i686 0:1.5-1.el6 set to be updated

--> Finished Dependency Resolution

Dependencies Resolved

================================================================================

Package    Arch    Version             Repository                     Size

================================================================================

Installing:

libXp      i686    1.0.0-15.1.el6      /libXp-1.0.0-15.1.el6.i686     33 k

Installing for dependencies:

libX11     i686    1.3-2.el6           rhel-debuginfo                585 k

libXau     i686    1.0.5-1.el6         rhel-debuginfo                 22 k

libXext    i686    1.1-3.el6           rhel-debuginfo                 33 k

libxcb     i686    1.5-1.el6           rhel-debuginfo                103 k

Transaction Summary

================================================================================

Install      5 Package(s)

Upgrade      0 Package(s)

Total size: 777 k

Total download size: 743 k

Installed size: 1.8 M

Is this ok [y/N]: y

Downloading Packages:

--------------------------------------------------------------------------------

Total                                          3.5 MB/s | 743 kB    00:00   

Running rpm_check_debug

Running Transaction Test

Transaction Test Succeeded

Running Transaction

Warning: RPMDB altered outside of yum.

Installing    : libXau-1.0.5-1.el6.i686                                 1/5

Installing    : libxcb-1.5-1.el6.i686                                   2/5

Installing    : libX11-1.3-2.el6.i686                                   3/5

Installing    : libXext-1.1-3.el6.i686                                  4/5

Installing    : libXp-1.0.0-15.1.el6.i686                               5/5

Installed:

libXp.i686 0:1.0.0-15.1.el6                                                 

Dependency Installed:

libX11.i686 0:1.3-2.el6 libXau.i686 0:1.0.5-1.el6 libXext.i686 0:1.1-3.el6

libxcb.i686 0:1.5-1.el6

Complete!

[root@bogon Packages]#

Error 4:

[oracle@bogon database]$ ./runInstaller

Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2

                                     Passed

All installer requirements met.

Preparing to launch Oracle Universal Installer from /tmp/OraInstall2013-08-05_08-30-45AM. Please wait ...[oracle@bogon database]$ Exception in thread "main" java.lang.UnsatisfiedLinkError: /tmp/OraInstall2013-08-05_08-30-45AM/jre/1.4.2/lib/i386/libawt.so: libXt.so.6: cannot open shared object file: No such file or directory

at java.lang.ClassLoader$NativeLibrary.load(Native Method)

at java.lang.ClassLoader.loadLibrary0(Unknown Source)

at java.lang.ClassLoader.loadLibrary(Unknown Source)

at java.lang.Runtime.loadLibrary0(Unknown Source)

at java.lang.System.loadLibrary(Unknown Source)

at sun.security.action.LoadLibraryAction.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at sun.awt.NativeLibLoader.loadLibraries(Unknown Source)

at sun.awt.DebugHelper.<clinit>(Unknown Source)

at java.awt.Component.<clinit>(Unknown Source)

The cause of the error: There are several errors in the above, you may be one of them

1: The lack of some package libXp-devel.i686

[root@bogon Packages]# yum install libXp-devel.i686

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Package libXp-devel-1.0.0-15.1.el6.i686 already installed and latest version

Nothing to do

[root@bogon Packages]# yum install libXp-devel.x86_64

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Package libXp-devel-1.0.0-15.1.el6.x86_64 already installed and latest version

Nothing to do

[root@bogon Packages]# yum install libXau.i686

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Package libXau-1.0.5-1.el6.i686 already installed and latest version

Nothing to do

[root@bogon Packages]# yum install libXau.x86_64

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Package libXau-1.0.5-1.el6.x86_64 already installed and latest version

Nothing to do

2: The lack of libXp-1.0.0-15.1.el6.i686.rpm, when you see it, that is already installed, but has been reported to the above error, at this time, you need to force the installation of a, can solve the above problem. The problem I toss for a long time.

[root@bogon Packages]# rpm -ivh libXp-1.0.0-15.1.el6.i686.rpm

Preparing...               ########################################### [100%]

package libXp-1.0.0-15.1.el6.i686 is already installed

[root@bogon Packages]# rpm -ivh --force libXp-1.0.0-15.1.el6.i686.rpm

Preparing...               ########################################### [100%]

  1:libXp                 ########################################### [100%]

[root@bogon Packages]#

3: The lack of package libXt

[root@bogon Packages]# yum install libXt.x86_64

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Package libXt-1.0.7-1.el6.x86_64 already installed and latest version

Nothing to do

[root@bogon Packages]# yum install libXt.i686

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Resolving Dependencies

--> Running transaction check

---> Package libXt.i686 0:1.0.7-1.el6 set to be updated

--> Processing Dependency: libICE.so.6 for package: libXt-1.0.7-1.el6.i686

--> Processing Dependency: libSM.so.6 for package: libXt-1.0.7-1.el6.i686

--> Running transaction check

---> Package libICE.i686 0:1.0.6-1.el6 set to be updated

---> Package libSM.i686 0:1.1.0-7.1.el6 set to be updated

--> Processing Dependency: libuuid.so.1 for package: libSM-1.1.0-7.1.el6.i686

--> Processing Dependency: libuuid.so.1(UUID_1.0) for package: libSM-1.1.0-7.1.el6.i686

--> Running transaction check

---> Package libuuid.i686 0:2.17.2-6.el6 set to be updated

--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================

Package              Arch              Version                       Repository                   Size

============================================================================================================

Installing:

libXt                i686              1.0.7-1.el6                   rhel-debuginfo              168 k

Installing for dependencies:

libICE               i686              1.0.6-1.el6                   rhel-debuginfo               52 k

libSM                i686              1.1.0-7.1.el6                 rhel-debuginfo               26 k

libuuid              i686              2.17.2-6.el6                  rhel-debuginfo               62 k

Transaction Summary

============================================================================================================

Install      4 Package(s)

Upgrade      0 Package(s)

Total download size: 309 k

Installed size: 560 k

Is this ok [y/N]: y

Downloading Packages:

------------------------------------------------------------------------------------------------------------

Total                                                                      985 kB/s | 309 kB    00:00   

Running rpm_check_debug

Running Transaction Test

Transaction Test Succeeded

Running Transaction

Installing    : libICE-1.0.6-1.el6.i686                                                             1/4

Installing    : libuuid-2.17.2-6.el6.i686                                                           2/4

Installing    : libSM-1.1.0-7.1.el6.i686                                                            3/4

Installing    : libXt-1.0.7-1.el6.i686                                                              4/4

Installed:

libXt.i686 0:1.0.7-1.el6                                                                                

Dependency Installed:

libICE.i686 0:1.0.6-1.el6        libSM.i686 0:1.1.0-7.1.el6        libuuid.i686 0:2.17.2-6.el6      

Complete!

[root@bogon Packages]#

Error 5:

[oracle@bogon database]$ ./runInstaller

Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2

                                     Passed

All installer requirements met.

Preparing to launch Oracle Universal Installer from /tmp/OraInstall2013-08-08_08-15-30AM. Please wait ...[oracle@bogon database]$ Exception in thread "main" java.lang.UnsatisfiedLinkError: /tmp/OraInstall2013-08-08_08-15-30AM/jre/1.4.2/lib/i386/libawt.so: libXtst.so.6: cannot open shared object file: No such file or directory

at java.lang.ClassLoader$NativeLibrary.load(Native Method)

at java.lang.ClassLoader.loadLibrary0(Unknown Source)

at java.lang.ClassLoader.loadLibrary(Unknown Source)

at java.lang.Runtime.loadLibrary0(Unknown Source)

at java.lang.System.loadLibrary(Unknown Source)

at sun.security.action.LoadLibraryAction.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at sun.awt.NativeLibLoader.loadLibraries(Unknown Source)

at sun.awt.DebugHelper.<clinit>(Unknown Source)

at java.awt.Component.<clinit>(Unknown Source)

The cause of the error: This is generally not the installation package libXtst

[root@bogon Packages]# yum list libXtst

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Installed Packages

libXtst.x86_64           1.0.99.2-3.el6            @anaconda-RedHatEnterpriseLinux-201009221801.x86_64/6.0

Available Packages

libXtst.i686             1.0.99.2-3.el6            rhel-debuginfo                                       

[root@bogon Packages]#

[root@bogon Packages]# yum install libXtst.x86_64

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Package libXtst-1.0.99.2-3.el6.x86_64 already installed and latest version

Nothing to do

[root@bogon Packages]# yum install libXtst.i686

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Resolving Dependencies

--> Running transaction check

---> Package libXtst.i686 0:1.0.99.2-3.el6 set to be updated

--> Processing Dependency: libXi.so.6 for package: libXtst-1.0.99.2-3.el6.i686

--> Running transaction check

---> Package libXi.i686 0:1.3-3.el6 set to be updated

--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================

Package              Arch              Version                       Repository                   Size

============================================================================================================

Installing:

libXtst              i686              1.0.99.2-3.el6                rhel-debuginfo               22 k

Installing for dependencies:

libXi                i686              1.3-3.el6                     rhel-debuginfo               32 k

Transaction Summary

============================================================================================================

Install      2 Package(s)

Upgrade      0 Package(s)

Total download size: 54 k

Installed size: 92 k

Is this ok [y/N]: y

Downloading Packages:

------------------------------------------------------------------------------------------------------------

Total                                                                      519 kB/s | 54 kB    00:00   

Running rpm_check_debug

Running Transaction Test

Transaction Test Succeeded

Running Transaction

Installing    : libXi-1.3-3.el6.i686                                                                1/2

Installing    : libXtst-1.0.99.2-3.el6.i686                                                         2/2

Installed:

libXtst.i686 0:1.0.99.2-3.el6                                                                           

Dependency Installed:

libXi.i686 0:1.3-3.el6                                                                                  

Complete!

[root@bogon Packages]#

Error 6:

[oracle@bogon database]$ ./runInstaller

Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2

                                     Passed

All installer requirements met.

Preparing to launch Oracle Universal Installer from /tmp/OraInstall2013-08-08_08-18-00AM. Please wait ...[oracle@bogon database]$ No protocol specified

Exception in thread "main" java.lang.InternalError: Can't connect to X11 window server using ':0.0' as the value of the DISPLAY variable.

at sun.awt.X11GraphicsEnvironment.initDisplay(Native Method)

at sun.awt.X11GraphicsEnvironment.<clinit>(Unknown Source)

at java.lang.Class.forName0(Native Method)

at java.lang.Class.forName(Unknown Source)

at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(Unknown Source)

at java.awt.Window.init(Unknown Source)

at java.awt.Window.<init>(Unknown Source)

at java.awt.Frame.<init>(Unknown Source)

at oracle.ewt.popup.PopupFrame.<init>(Unknown Source)

at oracle.ewt.lwAWT.BufferedFrame.<init>(Unknown Source)

at oracle.sysman.oio.oioc.OiocOneClickInstaller.<init>(OiocOneClickInstaller.java:378)

at oracle.sysman.oio.oioc.OiocOneClickInstaller.main(OiocOneClickInstaller.java:2091)

This error can refer to, I just began to use method 1, messing around not always, use method 2 immediately OK

The graphical interface for

clip_image002

clip_image004

clip_image006

clip_image008

clip_image010

In the installation of 65% when reported the following error

clip_image012

In the installation by 65%, reported as errors, view the log information

[root@bogon logs]# tail -20 installActions2013-08-09_07-44-06AM.log INFO: mv ctxlc /u01/app/oracle/product/dbhome_1/bin/ctxlc INFO: chmod 751 /u01/app/oracle/product/dbhome_1/bin/ctxlc INFO: gcc -m32 -o ctxhx -L/u01/app/oracle/product/dbhome_1/ctx//lib32/ -L/u01/app/oracle/product/dbhome_1/lib32/ -L/u01/app/oracle/product/dbhome_1/lib32/stubs/ /u01/app/oracle/product/dbhome_1/ctx/lib/ctxhx.o -L/u01/app/oracle/product/dbhome_1/ctx/lib/ -ldl -lm -lctxhx -Wl,-rpath,/u01/app/oracle/product/dbhome_1/ctx/lib -lsnls10 -lnls10 -lcore10 -lsnls10 -lnls10 -lcore10 -lsnls10 -lnls10 -lxml10 -lcore10 -lunls10 -lsnls10 -lnls10 -lcore10 -lnls10 `cat /u01/app/oracle/product/dbhome_1/lib/sysliblist` INFO: /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/4.4.4/libgcc_s.so when searching for -lgcc_s /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/4.4.4/libgcc_s.so when searching for -lgcc_s /usr/bin/ld: cannot find -lgcc_s collect2: ld returned 1 exit status INFO: make: *** [ctxhx] Error 1 INFO: End output from spawned process. INFO: ---------------------------------- INFO: Exception thrown from action: make Exception Name: MakefileException Exception String: Error in invoking target 'install' of makefile '/u01/app/oracle/product/dbhome_1/ctx/lib/ins_ctx.mk'. See '/u01/app/oracle/oraInventory/logs/installActions2013-08-09_07-44-06AM.log' for details. Exception Severity: 1

This error because of the lack of package glibc-devel-2.12-1.7.el6.i686.rpm

[root@bogon Packages]# yum install glibc-devel-2.12-1.7.el6.i686.rpm

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Examining glibc-devel-2.12-1.7.el6.i686.rpm: glibc-devel-2.12-1.7.el6.i686

Marking glibc-devel-2.12-1.7.el6.i686.rpm to be installed

Resolving Dependencies

--> Running transaction check

---> Package glibc-devel.i686 0:2.12-1.7.el6 set to be updated

--> Finished Dependency Resolution

Dependencies Resolved

================================================================================

Package       Arch   Version        Repository                        Size

================================================================================

Installing:

glibc-devel   i686   2.12-1.7.el6   /glibc-devel-2.12-1.7.el6.i686   953 k

Transaction Summary

================================================================================

Install      1 Package(s)

Upgrade      0 Package(s)

Total size: 953 k

Installed size: 953 k

Is this ok [y/N]: y

Downloading Packages:

Running rpm_check_debug

Running Transaction Test

Transaction Test Succeeded

Running Transaction

Installing    : glibc-devel-2.12-1.7.el6.i686                           1/1

Installed:

glibc-devel.i686 0:2.12-1.7.el6                                             

Complete!

[root@bogon Packages]# yum install glibc-devel-2.12-1.7.el6.x86_64.rpm

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

Existing lock /var/run/yum.pid: another copy is running as pid 4411.

Another app is currently holding the yum lock; waiting for it to exit...

The other application is: PackageKit

   Memory : 34 M RSS (349 MB VSZ)

   Started: Thu Aug 8 09:10:43 2013 - 00:05 ago

   State : Sleeping, pid: 4411

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Examining glibc-devel-2.12-1.7.el6.x86_64.rpm: glibc-devel-2.12-1.7.el6.x86_64

Marking glibc-devel-2.12-1.7.el6.x86_64.rpm to be installed

Package glibc-devel-2.12-1.7.el6.x86_64 already installed and latest version

glibc-devel-2.12-1.7.el6.x86_64.rpm: does not update installed package.

Error: Nothing to do

[root@bogon Packages]#

[root@bogon Packages]# yum install -y compat-gcc* compat-glibc* compat-libstd*

Loaded plugins: refresh-packagekit, rhnplugin

This system is not registered with RHN.

RHN support will be disabled.

file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml: [Errno 14] Could not open/read file:///mnt/hgfs/DataBase/Relhat6/repodata/repomd.xml

Trying other mirror.

Setting up Install Process

Examining compat-gcc-34-3.4.6-19.el6.x86_64.rpm: compat-gcc-34-3.4.6-19.el6.x86_64

Marking compat-gcc-34-3.4.6-19.el6.x86_64.rpm to be installed

Examining compat-gcc-34-c++-3.4.6-19.el6.x86_64.rpm: compat-gcc-34-c++-3.4.6-19.el6.x86_64

Marking compat-gcc-34-c++-3.4.6-19.el6.x86_64.rpm to be installed

Examining compat-gcc-34-g77-3.4.6-19.el6.x86_64.rpm: compat-gcc-34-g77-3.4.6-19.el6.x86_64

Marking compat-gcc-34-g77-3.4.6-19.el6.x86_64.rpm to be installed

Examining compat-glibc-2.5-46.2.x86_64.rpm: 1:compat-glibc-2.5-46.2.x86_64

Marking compat-glibc-2.5-46.2.x86_64.rpm to be installed

Examining compat-glibc-headers-2.5-46.2.x86_64.rpm: 1:compat-glibc-headers-2.5-46.2.x86_64

Marking compat-glibc-headers-2.5-46.2.x86_64.rpm to be installed

Examining compat-libstdc++-296-2.96-144.el6.i686.rpm: compat-libstdc++-296-2.96-144.el6.i686

Marking compat-libstdc++-296-2.96-144.el6.i686.rpm to be installed

Examining compat-libstdc++-33-3.2.3-69.el6.i686.rpm: compat-libstdc++-33-3.2.3-69.el6.i686

Marking compat-libstdc++-33-3.2.3-69.el6.i686.rpm to be installed

Examining compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm: compat-libstdc++-33-3.2.3-69.el6.x86_64

Marking compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm to be installed

Resolving Dependencies

--> Running transaction check

---> Package compat-gcc-34.x86_64 0:3.4.6-19.el6 set to be updated

---> Package compat-gcc-34-c++.x86_64 0:3.4.6-19.el6 set to be updated

---> Package compat-gcc-34-g77.x86_64 0:3.4.6-19.el6 set to be updated

--> Processing Dependency: compat-libf2c-34 = 3.4.6-19.el6 for package: compat-gcc-34-g77-3.4.6-19.el6.x86_64

--> Processing Dependency: libg2c.so.0()(64bit) for package: compat-gcc-34-g77-3.4.6-19.el6.x86_64

---> Package compat-glibc.x86_64 1:2.5-46.2 set to be updated

---> Package compat-glibc-headers.x86_64 1:2.5-46.2 set to be updated

---> Package compat-libstdc++-296.i686 0:2.96-144.el6 set to be updated

--> Processing Dependency: libgcc_s.so.1 for package: compat-libstdc++-296-2.96-144.el6.i686

--> Processing Dependency: libgcc_s.so.1(GLIBC_2.0) for package: compat-libstdc++-296-2.96-144.el6.i686

---> Package compat-libstdc++-33.i686 0:3.2.3-69.el6 set to be updated

---> Package compat-libstdc++-33.x86_64 0:3.2.3-69.el6 set to be updated

--> Running transaction check

---> Package compat-libf2c-34.x86_64 0:3.4.6-19.el6 set to be updated

---> Package libgcc.i686 0:4.4.4-13.el6 set to be updated

--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================

Package                Arch     Version         Repository                                  Size

======================================================================================================

Installing:

compat-gcc-34          x86_64   3.4.6-19.el6    /compat-gcc-34-3.4.6-19.el6.x86_64          13 M

compat-gcc-34-c++      x86_64   3.4.6-19.el6    /compat-gcc-34-c++-3.4.6-19.el6.x86_64      84 M

compat-gcc-34-g77      x86_64   3.4.6-19.el6    /compat-gcc-34-g77-3.4.6-19.el6.x86_64     5.9 M

compat-glibc           x86_64   1:2.5-46.2      /compat-glibc-2.5-46.2.x86_64              6.4 M

compat-glibc-headers   x86_64   1:2.5-46.2      /compat-glibc-headers-2.5-46.2.x86_64      1.9 M

compat-libstdc++-296   i686     2.96-144.el6    /compat-libstdc++-296-2.96-144.el6.i686    256 k

compat-libstdc++-33    i686     3.2.3-69.el6    /compat-libstdc++-33-3.2.3-69.el6.i686     716 k

compat-libstdc++-33    x86_64   3.2.3-69.el6    /compat-libstdc++-33-3.2.3-69.el6.x86_64   806 k

Installing for dependencies:

compat-libf2c-34       x86_64   3.4.6-19.el6    rhel-debuginfo                              51 k

libgcc                 i686     4.4.4-13.el6    rhel-debuginfo                             104 k

Transaction Summary

======================================================================================================

Install     10 Package(s)

Upgrade      0 Package(s)

Total size: 112 M

Total download size: 156 k

Installed size: 112 M

Downloading Packages:

------------------------------------------------------------------------------------------------------

Total                                                                2.1 MB/s | 156 kB    00:00   

Running rpm_check_debug

Running Transaction Test

Transaction Test Succeeded

Running Transaction

Installing    : libgcc-4.4.4-13.el6.i686                                                     1/10

Installing    : compat-gcc-34-3.4.6-19.el6.x86_64                                            2/10

Installing    : compat-libf2c-34-3.4.6-19.el6.x86_64                                         3/10

Installing    : 1:compat-glibc-headers-2.5-46.2.x86_64                                       4/10

Installing    : 1:compat-glibc-2.5-46.2.x86_64                                               5/10

Installing    : compat-gcc-34-g77-3.4.6-19.el6.x86_64                                        6/10

Installing    : compat-libstdc++-33-3.2.3-69.el6.x86_64                                      7/10

Installing    : compat-libstdc++-33-3.2.3-69.el6.i686                                        8/10

Installing    : compat-libstdc++-296-2.96-144.el6.i686                                       9/10

Installing    : compat-gcc-34-c++-3.4.6-19.el6.x86_64                                       10/10

Installed:

compat-gcc-34.x86_64 0:3.4.6-19.el6             compat-gcc-34-c++.x86_64 0:3.4.6-19.el6         

compat-gcc-34-g77.x86_64 0:3.4.6-19.el6         compat-glibc.x86_64 1:2.5-46.2                  

compat-glibc-headers.x86_64 1:2.5-46.2          compat-libstdc++-296.i686 0:2.96-144.el6        

compat-libstdc++-33.i686 0:3.2.3-69.el6         compat-libstdc++-33.x86_64 0:3.2.3-69.el6       

Dependency Installed:

compat-libf2c-34.x86_64 0:3.4.6-19.el6                 libgcc.i686 0:4.4.4-13.el6               

Complete!

Re install or reported the following error, but the error from another person's post is negligible. Click the Continue button

[root@bogon logs]# tail -20 installActions2013-08-09_08-14-21AM.log

INFO: product/dbhome_1/sysman/lib/libnmcbuf.a(nmcbufw.o)' is incompatible with i386:x86-64 output

/usr/bin/ld: i386 architecture of input file `/u01/app/oracle/product/dbhome_1/sysman/lib/libnmcbuf.a(nmcbufu.o)' is incompatible with i386:x86-64 output

/usr/bin/ld: i386 architecture of input file `/u01/app/oracle/product/dbhome_1/sysman/lib/libnmcbuf.a(snmcbufm.o)' is incompatible with i386:x86-64 output

/usr/bin/ld: i386 architecture of input file `/u01/app/oracle/product/dbhome_1/sysman/lib/libnmcbuf.a(nmcbuff.o

INFO: )' is incompatible with i386:x86-64 output

/usr/bin/ld: i386 architecture of input file `/u01/app/oracle/product/dbhome_1/sysman/lib//libnmadbg.a(nmadbg.o)' is incompatible with i386:x86-64 output

/usr/bin/ld: i386 architecture of input file `/u01/app/oracle/product/dbhome_1/sysman/lib//libnmadbg.a(snmadbg.o)' is incompatible with i386:x86-64 output

collect2: ld returned 1 exit status

INFO: make[1]: Leaving directory `/u01/app/oracle/product/dbhome_1/sysman/lib'

INFO: make[1]: *** [/u01/app/oracle/product/dbhome_1/sysman/lib/nmccollector] Error 1

make: *** [nmccollector] Error 2

INFO: End output from spawned process.

INFO: ----------------------------------

INFO: Exception thrown from action: make

Exception Name: MakefileException

Exception String: Error in invoking target 'collector' of makefile '/u01/app/oracle/product/dbhome_1/sysman/lib/ins_emdb.mk'. See '/u01/app/oracle/oraInventory/logs/installActions2013-08-09_08-14-21AM.log' for details.

Exception Severity: 1

clip_image014

The installation process if the “ ORA-27125:unable to create shared memory segment” this error, the general reason is the lack of operating system user rights problem, can be solved by the following ways:

The Oracle DBA GID write /proc/sys/vm/hugetld_shm_group file

Solution

[root@bogon logs]# id oracle

uid=502(oracle) gid=502(oinstall) groups=502(oinstall),503(dba)

[root@bogon logs]# more /proc/sys/vm/hugetlb_shm_group

0

[root@bogon logs]# echo vm.hugetlb_shm_group=502 > /etc/sysctl.conf

[root@bogon logs]# sysctl -p

vm.hugetlb_shm_group = 502

[root@bogon logs]#

clip_image016

clip_image018

clip_image020

clip_image022

Reference material

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download

Posted by Anna at December 02, 2013 - 8:56 PM